%define kernver26 1
Summary: Utilities for dealing with MTD (flash) devices
Name: mtd-utils
Version: 1.0.1
Release: 2%{?dist}
License: GPL
Group: Applications/System
URL: http://www.linux-mtd.infradead.org/
Source0: ftp://ftp.infradead.org/pub/mtd-utils/%{name}-%{version}.tar.gz
Source1: COPYING
Patch0: %{name}.patch
Patch1: %{name}-jffs2updated.patch
Patch2: %{name}-jffs2updated-gcc4.patch
Patch3: %{name}-gcc4.patch
Patch4: %{name}-kern26.patch
#Patch5: %{name}-2.6.19.patch
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
#BuildRequires: zlib-devel libacl-devel

%description
The mtd-utils package contains utilities related to handling MTD devices,
and for dealing with FTL, NFTL JFFS2 etc.

%prep
%setup -q
cp %{SOURCE1} .
%patch0 -p1
%ifarch mips ppc
%patch1 -p1
%patch2 -p1
%endif
%ifarch arm
%if %{kernver26} == 1
%patch1 -p1
%patch2 -p1
%else
%patch3 -p1
%endif
%endif
%if %{kernver26} == 1
%patch4 -p1
#%patch5 -p1
%endif

%if %{kernver26} == 1
for i in `grep -lr "<linux/mtd/mtd.h>\|<linux/mtd/nftl.h>\|<linux/jffs2.h>" .`; do
 sed -e "s,#include <linux/mtd/mtd.h>,#include <mtd/mtd-user.h>," < $i > __tmp
 mv __tmp $i
 sed -e "s,#include <linux/mtd/nftl.h>,#include <mtd/nftl-user.h>," < $i > __tmp
 mv __tmp $i
# sed -e "s,#include <linux/jffs2.h>,#include <mtd/jffs2-user.h>," < $i > __tmp
# mv __tmp $i
done
%endif

%build
make CFLAGS="$RPM_OPT_FLAGS -I./include"

%install
rm -rf $RPM_BUILD_ROOT
make DESTDIR=$RPM_BUILD_ROOT SBINDIR=%{_sbindir} MANDIR=%{_mandir} install

%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%{_sbindir}/*
%{_mandir}/*/*
%doc COPYING device_table.txt


%changelog
* Thu Oct 05 2006 Christian Iseli <Christian.Iseli@licr.org> 1.0.1-2
 - rebuilt for unwind info generation, broken in gcc-4.1.1-21

* Mon Sep 18 2006 David Woodhouse <dwmw2@infradead.org> - 1.0.1-1
- Update to 1.0.1

* Tue May  2 2006 David Woodhouse <dwmw2@infradead.org> - 1.0.0-2
- Fixes from review (include COPYING), BR zlib-devel
- Include device_table.txt

* Sun Apr 30 2006 David Woodhouse <dwmw2@infradead.org> - 1.0.0-1
- Initial build.

